osmo_fd Struct Reference
Select loop abstraction

Structure representing a file dsecriptor. More...

`#include <select.h>`

## Data Fields

struct llist_head | list
| linked list for internal management More...
int | fd
| actual operating-system level file decriptor More...
unsigned int | when
| bit-mask or of BSC_FD_READ, BSC_FD_WRITE and/or BSC_FD_EXCEPT More...
int(* | cb )(struct osmo_fd *fd, unsigned int what)
| call-back function to be called once file descriptor becomes available More...
void * | data
| data pointer passed through to call-back function More...
unsigned int | priv_nr
| private number, extending data More...

## Detailed Description

Structure representing a file dsecriptor.

## Field Documentation

## cb

int(* osmo_fd::cb) (struct osmo_fd *fd, unsigned int what)

call-back function to be called once file descriptor becomes available

Referenced by gsmtap_source_add_sink(), osmo_fd_disp_fds(), osmo_fd_setup(), osmo_timerfd_setup(), and osmo_wqueue_init().

## data

void* osmo_fd::data

data pointer passed through to call-back function

Referenced by osmo_fd_setup(), and osmo_timerfd_setup().

## fd

int osmo_fd::fd

actual operating-system level file decriptor

Referenced by gsmtap_inst_fd(), gsmtap_sink_fd_cb(), gsmtap_source_add_sink(), gsmtap_source_init(), gsmtap_wq_w_cb(), osmo_fd_close(), osmo_fd_disp_fds(), osmo_fd_fill_fds(), osmo_fd_get_by_fd(), osmo_fd_init_ofd(), osmo_fd_is_registered(), osmo_fd_register(), osmo_fd_setup(), osmo_fd_unregister(), osmo_timerfd_disable(), osmo_timerfd_schedule(), and osmo_timerfd_setup().

## list

struct llist_head osmo_fd::list

linked list for internal management

Referenced by osmo_fd_disp_fds(), osmo_fd_fill_fds(), osmo_fd_get_by_fd(), and osmo_fd_is_registered().

## priv_nr

unsigned int osmo_fd::priv_nr

private number, extending data

Referenced by osmo_fd_setup().

## when

unsigned int osmo_fd::when

bit-mask or of BSC_FD_READ, BSC_FD_WRITE and/or BSC_FD_EXCEPT

Referenced by gsmtap_source_add_sink(), osmo_fd_fill_fds(), osmo_fd_init_ofd(), osmo_fd_setup(), osmo_timerfd_setup(), osmo_wqueue_bfd_cb(), osmo_wqueue_clear(), and osmo_wqueue_enqueue().

The documentation for this struct was generated from the following file:

- include/osmocom/core/select.h